org.apache.maven.project.injection

## Class DefaultModelDefaultsInjector

- java.lang.Object
- - org.apache.maven.project.injection.DefaultModelDefaultsInjector

- All Implemented Interfaces:
    ModelDefaultsInjector

      public class DefaultModelDefaultsInjector
      extends java.lang.Object
      implements ModelDefaultsInjector

  Author:
    jdcasey Created on Feb 1, 2005

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.project.injection.ModelDefaultsInjector

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultModelDefaultsInjector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `injectDefaults(Model model)`
    `void` | `mergePluginWithDefaults(Plugin plugin, Plugin def)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultModelDefaultsInjector

          public DefaultModelDefaultsInjector()

  - ### Method Detail

    - #### injectDefaults

          public void injectDefaults(Model model)

      Specified by:
        `injectDefaults` in interface `ModelDefaultsInjector`

    - #### mergePluginWithDefaults

          public void mergePluginWithDefaults(Plugin plugin,
                                     Plugin def)

      Specified by:
        `mergePluginWithDefaults` in interface `ModelDefaultsInjector`